* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root,
input,
button {
  font-family: "Montserrat";
}

body {
  background: url("https://raw.githubusercontent.com/maykbrito/my-public-files/main/nlw-19/bg.jpg")
    no-repeat center/cover;
  min-height: 100vh;
  color: #e1e1e6;
  display: grid;
  place-content: center;

  padding: 2rem 1rem;
}

header {
  display: grid;
  justify-items: center;
  gap: 2rem;
  margin-bottom: 3rem;
}

h1 {
  text-align: center;
  font-size: 2.5rem;
  line-height: 100%;
  color: #dae4f2;
}

h1 div {
  color: #6f9de2;
}

main {
  display: grid;
  gap: 1.25rem;
  max-width: 368px;
}

section {
  background: #191d24;
  padding: 1.5rem;
  border: 1px solid #21252c;
  border-radius: 1rem;
}

.section-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 1.5rem;
}

h2 {
  font-size: 1.25rem;
  line-height: 100%;
  color: #c8d0da;
}

.badge {
  font-size: 0.75rem;
  line-height: 160%;
  font-weight: 600;
  color: #9871f3;

  display: flex;
  align-items: center;
  gap: 0.5rem;
}

.badge::before {
  content: "";
  display: block;
  width: 1.4rem;
  height: 1.4rem;
  background: url("https://raw.githubusercontent.com/maykbrito/my-public-files/main/nlw-19/radio.svg")
    no-repeat center;
}

p {
  font-size: 0.875rem;
  line-height: 160%;

  color: #95a1b1;
}

.registration h2 {
  margin-bottom: 1.5rem;
}

form {
  display: grid;
  gap: 1.5rem;
}

.input-wrapper {
  display: grid;
  gap: 0.75rem;
}

.input-group {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  height: 3rem;
  border: 1px solid #21252c;
  background-color: #13161b;
  padding: 0 1rem;
  border-radius: 10px;
}

/* contorno branco de 2px sempre que algum dos seus elementos estiver focado. É uma forma de destacar o grupo quando o usuário interage com ele. */
.input-group:focus-within {
  outline: 2px solid white;
}

input {
  background: none;
  border: none;
  width: 100%;
  font-size: 1rem;
  color: #e1e1e6;
  outline: none;
}

input::placeholder {
  line-height: 160%;
  color: #6f7d90;
}

button {
  border: 0;
  background: #2a313c;
  color: #6f9de2;
  height: 3rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 1.25rem;
  border-radius: 10px;

  font-weight: 600;
  font-size: 1rem;
  line-height: 160%;

  cursor: pointer;
  transition: 0.3s;
}

button:hover {
  color: #0f1216;
  background: #6f9de2;
}

.page-invite main {
  text-align: center;
}

.page-invite h3 {
  font-size: 1.25rem;
  color: #9871f3;
}

.stats {
  margin-top: 1.5rem;
  padding: 1.25rem;
  text-align: center;
  position: relative;
}

.stats::before {
  content: "";
  display: block;
  width: 100%;
  height: 100%;
  background: url("https://raw.githubusercontent.com/maykbrito/my-public-files/main/nlw-19/verify.svg")
    no-repeat;
  position: absolute;
  top: 0.5rem;
  left: 0.5rem;
}

h4 {
  margin-top: 0.5rem;
  font-weight: 600;
  font-size: 1.5rem;
  line-height: 100%;
  color: #c8d0da;
}
